net.fortuna.ical4j.model

## Class TimeZone

- java.lang.Object
- - java.util.TimeZone
  - - net.fortuna.ical4j.model.TimeZone

All Implemented Interfaces:
  Serializable, Cloneable

    public class TimeZone
    extends TimeZone

$Id$ Created on 13/09/2005 A Java timezone implementation based on an underlying VTimeZone definition.

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.TimeZone

`LONG, SHORT`

### Constructor Summary

Constructors
Constructor and Description
`TimeZone(VTimeZone vTimeZone)` Constructs a new instance based on the specified VTimeZone.

### Method Summary

Methods
`boolean` `equals(Object o)`
`int` `getOffset(int era, int year, int month, int day, int dayOfWeek, int milliseconds)`
`int` `getOffset(long date)`
`int` `getRawOffset()`
`VTimeZone` `getVTimeZone()`
`int` `hashCode()`
`boolean` `inDaylightTime(Date date)` Determines if the specified date is in daylight time according to this timezone.
`void` `setRawOffset(int offsetMillis)`
`boolean` `useDaylightTime()`

### Methods inherited from class java.util.TimeZone

`clone, getAvailableIDs, getAvailableIDs, getDefault, getDisplayName, getDisplayName, getDisplayName, getDisplayName, getDSTSavings, getID, getTimeZone, hasSameRules, setDefault, setID`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimeZone

    public TimeZone(VTimeZone vTimeZone)

Constructs a new instance based on the specified VTimeZone.

Parameters:
  `vTimeZone` - a VTIMEZONE object instance

### Method Detail

#### getOffset

    public final int getOffset(int era,
                int year,
                int month,
                int day,
                int dayOfWeek,
                int milliseconds)

Specified by:
  `getOffset` in class `TimeZone`

#### getOffset

    public int getOffset(long date)

Overrides:
  `getOffset` in class `TimeZone`

#### getRawOffset

    public final int getRawOffset()

Specified by:
  `getRawOffset` in class `TimeZone`

#### inDaylightTime

    public final boolean inDaylightTime(Date date)

Determines if the specified date is in daylight time according to this timezone. This is done by finding the latest supporting observance for the specified date and identifying whether it is daylight time.

Specified by:
  `inDaylightTime` in class `TimeZone`
Parameters:
  `date` - a date instance
Returns:
  true if the specified date is in daylight time, otherwise false

#### setRawOffset

    public final void setRawOffset(int offsetMillis)

Specified by:
  `setRawOffset` in class `TimeZone`

#### useDaylightTime

    public final boolean useDaylightTime()

Specified by:
  `useDaylightTime` in class `TimeZone`

#### getVTimeZone

    public final VTimeZone getVTimeZone()

Returns:
  Returns the VTimeZone backing this instance.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`